#include <iostream>
using namespace std;
int main()
{
int v,brnovc=0,vv;
cin>>v;
vv=v;
while(v>0)
{
    v=v%10;
    if(v==1)
    brnovc=brnovc+1;
    if(v==2)
    brnovc=brnovc+1;
    if(v==3)
    brnovc=brnovc+2;
    if(v==4)
    brnovc=brnovc+2;
    if(v==5)
    brnovc=brnovc+1;
    if(v==6)
    brnovc=brnovc+2;
    if(v==7)
    brnovc=brnovc+2;
    if(v==8)
    brnovc=brnovc+3;
    if(v==9)
    brnovc=brnovc+3;
    v=v/10
}
cout<<brnovc;
    return 0;
}